## 持续更新中 <br>
RSS订阅链接来源：https://github.com/zhengjim/Chinese-Security-RSS <br>
使用python-json进行格式化，然后使用飞书webhook机器人进行发送 <br>
./config/config.yaml 可指定发送渠道、运行方式等基础配置信息 <br>
./config/keywords.yaml 可指定关键词参数（支持热修改） <br>
./config/github_config.yaml 可指定Github相关参数（支持热修改） <br>
更新记录请查看./UpdateLOG.md

### 项目特色 <br>
- 模块化：爬虫（获取信息部分）、分析（对获取的json信息进行筛选分析存储）、推送（推送至各渠道）、网页等各模块均可单独运行。 <br>
- 轻量化：默认使用sqlite以及其他常见的各系统自带的库，用户仅需配置python环境，不会占用过多内存。 <br>
- 简单化：配置好config后即可一步运行，效率极高。 <br>

### 日志相关
请查看./resources/log文件夹下内容 <br>

### 使用建议： <br>
Linux系统建议下载screen于后台持续运行本脚本。   <br>
debian/ubuntu/kali: `apt install screen` <br>
centos: `yum install screen` <br>
创建新会话：`screen -S 会话名称`      <br>
保存并退回到界面：`ctrl+a+d`    <br>
重新进入会话：`screen -r 会话名称`  <br>
结束对话：进入会话后输入`exit`  <br>

### 使用方法： <br>
先下载支持库：`pip install -r requirements.txt` <br>
随后便可直接运行：`python Core.py` <br>
web运行：`python ./web/app.py` <br>
随后web网页将会在本地5000端口启动，访问即可，使用反向代理即可以域名映射到外网 <br>
直接访问web域名即可查看历史推送，访问路径/log即可查看程序运行日志，/weblog查看flask日志 <br>

### 配置 <br>
首先先在飞书中创建群组，然后再创建WebHook机器人 <br>
<center><img src="./resources/imgs/group.jpg" width="50%" alt="群组"/></center><br>
<center><img src="./resources/imgs/add_bot.jpg" width="50%" alt="添加机器人"/></center><br>
随后，在配置机器人时可打开签名验证（您也可自行选择IP白名单） <br>
<center><img src="./resources/imgs/bot_config.jpg" width="50%" alt="机器人配置"/></center><br>
再之后，将配置信息填入config.yaml文件当中 <br>
<center><img src="./resources/imgs/config.jpg" width="50%" alt="配置"/></center><br>
那么现在，您就可以开始运行使用了。 <br>

### Github访问限制配置  <br>
若短时间内请求次数过多，可能会被github限制，可参考以下配置 <br>  
- 对于未经身份验证的请求，github 速率限制允许每小时最多 60 个请求 <br>  
- 而通过使用基本身份验证的 API 请求，每小时最多可以发出 5,000 个请求 <br>  
- https://github.com/settings/tokens/new 创建token，时间建议选择无限制。<br>
<center><img src="./resources/imgs/github-token.png" width="80%" alt="飞书运行提示"/></center><br>
`./config/github_config.yaml`中可配置github_token <br>  


### 运行结果 <br>
<center><img src="./resources/imgs/run.jpg" width="50%" alt="后端"/></center><br>
<center><img src="./resources/imgs/start.jpg" width="50%" alt="飞书运行提示"/></center><br>
<center><img src="./resources/imgs/result.jpg" width="50%" alt="飞书运行展示"/></center><br>
<center><img src="./resources/imgs/result_mobile.jpg" width="70%" alt="飞书运行展示-安卓"/></center><br>
